.branch-locator-modal{
    display:grid;
    grid-template-columns:380px 1fr;
    height:80vh;
    overflow:hidden;
    border-radius:24px;
    background:#fff;
}

.branch-sidebar{
    border-right:1px solid #e5e7eb;
    display:flex;
    flex-direction:column;
    background:#fff;
    min-height:0;
    overflow:auto;
}

.branch-search-wrap{
    padding:20px;
    border-bottom:1px solid #e5e7eb;
    display:flex;
    flex-direction:column;
    gap:12px;
    background:#fff;
}

.branch-search-wrap input,
.branch-search-wrap select{
    width:100%;
    height:50px;
    border:1px solid #d1d5db;
    border-radius:14px;
    padding:0 16px;
    font-size:15px;
}

#branch-list{
    overflow-x:hidden;
	overflow-y: auto;
    flex:1;
	flex-direction: column;
	gap: 12px;
}

.branch-item{
    padding:18px 20px;
    border-bottom:1px solid #f1f5f9;
    cursor:pointer;
    transition:.2s ease;
}

.branch-item:hover{
    background:#f8fafc;
}

.branch-item.active{
    background:#ecfdf5;
}

.branch-name{
    font-size:16px;
    font-weight:700;
    color:#166534;
    margin-bottom:6px;
}

.branch-address{
    font-size:14px;
    color:#64748b;
    line-height:1.5;
}

#branch-list::-webkit-scrollbar{
    width: 6px;
}

#branch-list::-webkit-scrollbar-thumb{
    background: #cbd5e1;
    border-radius: 10px;
}
.branch-locator-wrap{
    overflow: hidden;
}

@media(max-width:991px){

    .branch-locator-modal{
        grid-template-columns:1fr;
        grid-template-rows: auto 50vh;
        height:90vh;
    }

    .branch-map-wrap{
        height:100%;
        min-height: 0;
    }

}
/* =========================
   LEAFLET MAP FIX
========================= */
.leaflet-container{
    width:100%;
    height:100%;
    z-index:1;
}


/* POPUP CONTENT */
.pum-content{
    overflow:hidden !important;
}
